/*
 * Copyright (C) 2003 Jake Bordens.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 *
 * 
 *  This file is part of
 *        Penfold - sound mapper for Danger Hiptop
 *
 */

package com.wryspy.penfold;

import danger.ui.DialogWindow;
import danger.ui.PopupMenu;
import danger.app.Listener;
import danger.app.Event;
import danger.app.Application;
import danger.ui.Menu;
import danger.ui.MenuItem;
import danger.util.DEBUG;

public class FolderSelectDialog extends DialogWindow implements Commands, Resources {

    Event _event;
    PopupMenu _popup;

    public FolderSelectDialog() {
        //default constructor for rsrc
    }

    public void onDecoded() {
        _popup = (PopupMenu)this.getChildWithID(popSFFolder);
    }

    public boolean receiveEvent(Event event) {
        boolean handled = false;
        switch (event.type) {
            case evtSFDone:
                MenuItem i = _popup.getItem(_popup.getValue());
                _event.setArgument(i.getTitle());
                _event.sendToTarget();
                this.hide();
                break;
        }
        return super.receiveEvent(event);
    }

    public static FolderSelectDialog newFolderSelectDialog(Event evt, String[] folders) {
        FolderSelectDialog dialog = (FolderSelectDialog)Application.getCurrentApp().getResources().getDialog(dlgSelectFolder);
        dialog._event = evt;

        for (int x=0; x<folders.length; x++)
            dialog._popup.addItem(folders[x]);

        return dialog;
    }

}
