/*
 * Copyright (C) 2003 Jake Bordens.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 *
 * 
 *  This file is part of
 *        Penfold - sound mapper for Danger Hiptop
 *
 */

package com.wryspy.penfold;

import danger.net.HTTPConnection;
import danger.util.DEBUG;

import java.util.Vector;

public class HTTPRequest {

    private static Vector requests;
    private static int    currentSeqNo = 0;

    private int    _sequenceNo;
    private String _folder;
    private ToneProperties _toneProperties;

    private HTTPRequest(String folder, ToneProperties tp) {
        if (requests == null)
            requests = new Vector();

        _sequenceNo = currentSeqNo++;
        _folder = folder;
        _toneProperties = tp;

        requests.addElement(this);
    }

    public static HTTPRequest pop(int seq) {
        if (requests != null) {
            for (int x=0; x<requests.size(); x++) {
                HTTPRequest r = (HTTPRequest)requests.elementAt(x);
                if (r._sequenceNo == seq) {
                    requests.removeElementAt(x);
                    return r;
                }
            }
        }
        return null;
    }

    public static void get(String folder, ToneProperties tp) {
        HTTPRequest req = new HTTPRequest(folder, tp);
        DEBUG.p("sending request for URL " + tp._url + " seq: " + req._sequenceNo);
        HTTPConnection.get(tp._url, null, (short)0, req._sequenceNo);
    }

    public String getFolder() {
        return _folder;
    }

    public int getSequenceNo() {
        return _sequenceNo;
    }

    public ToneProperties getToneProperties() {
        return _toneProperties;
    }
}
