/*
 * Copyright (C) 2003 Jake Bordens.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 *
 * 
 *  This file is part of
 *        Penfold - sound mapper for Danger Hiptop
 *
 */

package com.wryspy.penfold;

import danger.audio.Meta;

/**
 * encapsulates meta paramters
 */
public class MetaObject {
    private int    _metaID;
    private String _folder;
    private String _name;

    public MetaObject(int metaID) {
        _metaID = metaID;
        _folder = MetaMeta.getFolder(metaID);
        _name   = MetaMeta.getName(metaID);
    }

    public int getMetaID() {
        return _metaID;
    }

    public int getVolume() {
        return Meta.getVolume(_metaID);
    }

    public boolean isMuted() {
        return Meta.isIDMuted(_metaID);
    }

    public boolean isAssigned() {
        return Meta.getToneFromID(_metaID) != null;
    }

    public String getName() {
        return _name;
    }

    public String getFolder() {
        return _folder;
    }
}
