/*
 * Copyright (C) 2003 Jake Bordens.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 *
 * 
 *  This file is part of
 *        Penfold - sound mapper for Danger Hiptop
 *
 */

package com.wryspy.penfold;

import danger.audio.Tone;
import danger.audio.ToneGallery;
import danger.audio.ToneClass;

public class MyTone {
    public static final String TONE_GROUP = "My Tones";

    private ToneProperties _props;
    private Tone _tone;
    public MyTone(byte[] bytes, ToneProperties props) {

        int resID = ToneGallery.generateResourceID();

        _props = props;
        _tone = new Tone(bytes, resID, true, props._loop, props._priority,
                                        props._volume, props._filter, ToneClass.CUSTOM, props._name, TONE_GROUP);

        //_tone = new Tone(bytes, i, b, b1, i1, i2, i3, i4, s, s1);

    }

    public boolean isRingtone() {
        return ToneGallery.isInstalled(null, _tone.getResourceID());
    }

    public Tone getTone() {
        return _tone;
    }

    //todo: setTempo, setPriority, setVolume, setLoop, setFlash, setBuzzer
}
