/*
 * Copyright (C) 2003 Jake Bordens.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 *
 * 
 *  This file is part of
 *        Penfold - sound mapper for Danger Hiptop
 *
 */

package com.wryspy.penfold;

import danger.audio.ToneFilter;
import danger.net.URL;

public class ToneProperties {
    public String _name;
    public int    _volume;
    public int    _priority;
    public int    _tempo;
    public int    _filter;
    public boolean _loop;
    public String _url;

    public ToneProperties() {
        _name = null;
        _url = null;
        _volume = 100;
        _priority = 100;
        _tempo = 100;
        _filter = ToneFilter.ALL;
        _loop = false;
    }

    public String getName() {
        if (_name == null || _name.length() == 0)
            return (new URL(_url)).getFile();
        return _name;
    }

}
